#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xmris
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$MACHINE/BIN/ZCAT $BUILDDIR/zcat


cd $BUILDDIR/xmris
cat $SOURCEDIR/XMRIS/XMRIS402.GZ | $BUILDDIR/zcat -d -c | tar xvof -
cd xmris.4.02

(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/XMRIS/RTR/XMRIS | patch -p -s )
test -f $SOURCEDIR/XMRIS/$MACHINE/XMRIS &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/XMRIS/$MACHINE/XMRIS  | patch -b .rtr -p -s )

xmkmf
make
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi
ln -s $INSTALLDIR/bin/xmris $INSTALLDIR/bin/xmsit

cd $BUILDDIR/xmris

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xmris ; fi
